org.eclipse.emf.cdo.view

## Class ManagedContainerViewProvider

- java.lang.Object
- - org.eclipse.emf.cdo.view.AbstractCDOViewProvider
  - - org.eclipse.emf.cdo.view.ManagedContainerViewProvider

- All Implemented Interfaces:
    CDOViewProvider, CDOViewProvider.CDOViewProvider2

      public abstract class ManagedContainerViewProvider
      extends AbstractCDOViewProvider

  Base class for `ManagedContainer` based `CDOViewProvider`
  Since:
    2.0
  Author:
    Victor Roldan Betancort
  Apiviz

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.view.CDOViewProvider

      `CDOViewProvider.CDOViewProvider2`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.view.CDOViewProvider

      `DEFAULT_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManagedContainerViewProvider(IManagedContainer container, java.lang.String regex, int priority)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected IManagedContainer` | `getContainer()`
    `int` | `getPriority()` Returns the priority of this provider.

    - ### Methods inherited from class org.eclipse.emf.cdo.view.AbstractCDOViewProvider

      `getPath, getRegex, getResourceURI, getViewURI, getViewURI, matchesRegex, setPriority, setRegex, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.cdo.view.CDOViewProvider

      `getView`

- - ### Constructor Detail

    - #### ManagedContainerViewProvider

          public ManagedContainerViewProvider(IManagedContainer container,
                                              java.lang.String regex,
                                              int priority)

  - ### Method Detail

    - #### getContainer

          protected IManagedContainer getContainer()

    - #### getPriority

          public int getPriority()

      Description copied from interface: `CDOViewProvider`
      Returns the priority of this provider. Usually used to choose between several `CDOViewProvider` that match the same repository URI.
      Specified by:
        `getPriority` in interface `CDOViewProvider`
      Overrides:
        `getPriority` in class `AbstractCDOViewProvider`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html